package jrummikub.model;

import java.util.List;

/**
 * Score of a single round
 */
public class Score {
	List<Boolean> winners;
	List<Integer> points;

	/**
	 * Create a new round score
	 * 
	 * @param winners
	 *            set for each player among the winners
	 * @param points
	 *            points of each player
	 */
	public Score(List<Boolean> winners, List<Integer> points) {
		this.winners = winners;
		this.points = points;
	}

	/**
	 * Get the winner list
	 * 
	 * @return set for each player among the winners
	 */
	public List<Boolean> getWinners() {
		return winners;
	}

	/**
	 * Get the point list
	 * 
	 * @return points of each player
	 */
	public List<Integer> getPoints() {
		return points;
	}
}
